package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapSkriningGizi;
import com.jasamedika.medifirst2000.entities.PengkajianAwalBaru;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapSkriningGiziVO extends BaseTransactionVO {

	@ManyToOne
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
		
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasien;	
	
	@ManyToOne
	private PapSkriningGiziVO papSkriningGizi;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	@Caption(value = "tinggiBadan")
	private Float tinggiBadan;
	
	@Caption(value = "beratBadan")
	private Float beratBadan;
	
	@Caption(value = "Lingkar Kepala")
	private Float lingkarKepala;
	
	@Caption(value = "totalSkor")
	private Float totalSkor;

	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "papSkriningGizi")
	@Caption(value = "papSkriningGiziDetailSet")
	private Set<PapSkriningGiziDetailVO> papSkriningGiziDetailSet=new HashSet<PapSkriningGiziDetailVO>();

	@Caption(value = "Tgl Input Data")
	private Date tglInputData;

	@Caption(value = "assesmentUlang")
	private String asesmentUlang;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "pengkajianAwalBaru")
	private PengkajianAwalBaruVO pengkajianAwalBaru;
	
	public Float getTinggiBadan() {
		return tinggiBadan;
	}
	public void setTinggiBadan(Float tinggiBadan) {
		this.tinggiBadan = tinggiBadan;
	}
	
	public Float getBeratBadan() {
		return beratBadan;
	}
	public void setBeratBadan(Float beratBadan) {
		this.beratBadan = beratBadan;
	}
	public Float getLingkarKepala() {
		return lingkarKepala;
	}
	public void setLingkarKepala(Float lingkarKepala) {
		this.lingkarKepala = lingkarKepala;
	}
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}
	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}
	public AntrianPasienDiPeriksaVO getPasien() {
		return pasien;
	}
	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasien = pasien;
	}
	public Date getTglInput() {
		return tglInput;
	}
	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	public Float getTotalSkor() {
		return totalSkor;
	}
	public void setTotalSkor(Float totalSkor) {
		this.totalSkor = totalSkor;
	}
	public Set<PapSkriningGiziDetailVO> getPapSkriningGiziDetailSet() {
		return papSkriningGiziDetailSet;
	}
	public void setPapSkriningGiziDetailSet(Set<PapSkriningGiziDetailVO> papSkriningGiziDetailSet) {
		this.papSkriningGiziDetailSet = papSkriningGiziDetailSet;
	}
	public Date getTglInputData() {
		return tglInputData;
	}
	public void setTglInputData(Date tglInputData) {
		this.tglInputData = tglInputData;
	}
	public PapSkriningGiziVO getPapSkriningGizi() {
		return papSkriningGizi;
	}
	public void setPapSkriningGizi(PapSkriningGiziVO papSkriningGizi) {
		this.papSkriningGizi = papSkriningGizi;
	}
	public String getAsesmentUlang() {
		return asesmentUlang;
	}
	public void setAsesmentUlang(String asesmentUlang) {
		this.asesmentUlang = asesmentUlang;
	}
	public PengkajianAwalBaruVO getPengkajianAwalBaru() {
		return pengkajianAwalBaru;
	}
	public void setPengkajianAwalBaru(PengkajianAwalBaruVO pengkajianAwalBaru) {
		this.pengkajianAwalBaru = pengkajianAwalBaru;
	}

}
